Bug 1074042 - error: unpacking of archive failed on file /usr/lib64/lazarus/docs: cpio: rename
error: unpacking of archive failed on file /usr/lib64/lazarus/docs: cpio: rename
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: libzypp
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Eric Schirra
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-23 21:24 UTC by John Shand
Modified: 2018-01-08 19:55 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Shand 2017-12-23 21:24:28 UTC
i just found this in my log after my last update.  is this something to be concerned about?
Comment 1 Martin Pluskal 2017-12-26 21:59:44 UTC
(In reply to John Shand from comment #0)
> i just found this in my log after my last update.  is this something to be
> concerned about?

looks like packaging issue - file is being replaced by directory which cpio can't handle

you can workaround it by removing lazarus and installing it again
Comment 2 Michael Andres 2018-01-08 10:29:49 UTC
You probably don't need to remove the whole package:
> # ls -ld /usr/lib64/lazarus/docs /usr/share/doc/packages/lazarus/docs
> lrwxrwxrwx ... /usr/lib64/lazarus/docs -> ../../share/doc/packages/lazarus/docs
> drwxr-xr-x ... /usr/share/doc/packages/lazarus/docs

Just check how it looks like on your system. If /usr/lib64/lazarus/docs is no symlink or /usr/share/doc/packages/lazarus/docs no directory, remove them and re-install the package:
> zypper in -f lazarus
Comment 3 John Shand 2018-01-08 19:55:56 UTC
thanks for your help.  i completely removed that package and that fixed the problem.  i was able to install lazarus without any conflict